<!-- -*-HTML-*- -->
<!-- $Id: XDirComp.html.es,v 1.6 2005/05/14 23:29:42 markus Rel $ -->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//ES"
"http://www.w3.org/TR/html4/strict.dtd">

<html>
  <head>
    <title>XDirComp - Documentaci&oacute;n</title>
    <meta name="description" content="Documentaci&oacute;n de la utilidad XDirComp">
    <meta name="keywords" content="documentacion, documentaci&oacute;n, doku, XDirComp, utilitad">

    <meta name="DC.Creator" content="Markus Schwab">
    <meta name="DC.Date" content="2003-12-09">
    <meta name="DC.Rights" content="Copyright (C) 2003 - 2005, distributed under the GNU General Public License">
  </head>

<!--
  Copyright (C) 2003 - 2005 Markus Schwab (g17m0@lycos.com)

  This is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public
  License along with this library; if not, write to the Free
  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-->

  <body>
    <h1 align="Center">XDirComp - Utilitad para comparar dos directorios</h1>
    <table width="100%">
      <tr><td align="center" width="33%"><a href="XDirComp.html.es#Intro">Introduci&oacute;n</a></td>
        <td align="center" width="33%"><a href="XDirComp.html.es#Mainwindow">La ventanta principal</a></td>
        <td align="center" width="33%"><a href="XDirComp.html.es#Dialogs">Dialogues</a></p></td></tr>
    </table>
    <hr size=2>

    <h2><a name="Intro"></a>Introduci&oacute;n</h2>
    <p>La utilidad <b>XDirComp</b> compara dos directorios (y - si especificado
      - sus directorios bajos). Se puede compara para la existencia o para la
      fecha (del cambio &uacute;ltimo; siguente llamada "timestamp") o para el
      contenido.</p>

    <p>La muestra una lista de los ficheros cambiados, con la(s) fecha(s) del
      &uacute;litmo cambio, el tama&ntilde;o y una descripci&oacute;n como los
      diferan.</p>

    <p>Se puede comparar directories sobre una red. Para hacerlo, se tiene que
      arrancar <b>DirComp</b> (la utilidad de la shell) como servidor en la
      m&aacute;quina deseada (opci&oacute;n <i>S</i>) o como daemon
      (opci&oacute;n <i>D</i>). El directorio respectiva se especifica como
      &lt;<i>Servidor</i>&gt;:&lt;<i>directorio</i>&gt;[:&lt;<i>puerto</i>&gt;].
      Por ejemplo:</p>

    <pre>    prod:/usr/local/DirComp:4711</pre>

    <p>En la m&aacute;quina <i>prod</i> se tiene que arrancar la utilidad como
      as&iacute;:</p>

    <pre>    DirComp -D 4711</pre>

    <p>Para mostrar los errores (y no solamente ponerlos al log del sistema),
      la opci&oacute;n D deber&iacute;a ser cambiado por S. El puerto por
      defecto por la comunicaci&oacute;n es 31336.</p>

    <p>Usa esa propiedad con cuidado; podr&iacute;a provedear un asaltor con
      informaciones sobre su estructure de los carpetas y por eso sobre los
      programas instalados. Eso es la raz&oacute;n porque se tiene que
      a&ntilde;adir esa propiedad durante configurar el programa.</p>

    <p>Se puede terminar las compariciones en cada momento.</p>

    <p>Este programa se distribuye bajo los condiciones de la <a
      href="http://www.gnu.org">GNU</a> Licensia General P&uacute;blico; con
      la esperanza de que sea &uacute;til, pero SIN NINGUNA GARANT&Iacute;A,
      ni siquiera la garant&iacute;a impl&iacute;cita de COMERCIABILIDAD o
      CONVENIENCIA PARA UN PROP&Oacute;SITO PARTICULAR.</p></tr>

    <hr size=1>
    <h2><a name="Mainwindow"></a>La ventana principal</h2>
    <p>Se puede poner su entrada directamente por la ventana principal. Pon
       por la l&iacute;nea primera el directorio con la versi&oacute;n
       original. Despu&eacute;s sigue el directorio de la copia/versi&oacute;n
       cambiada. Ambos campos cambian la entrada al primer directorio
       encontrado que apropiala (como lo hacen los browser modernos).</p>

    <p>El resuelto de la comparaci&oacute;n est&aacute; mostrado en la lista
      por abajo. La lleva 4 columnas:</p>

    <ul>
      <li><p><b>Archivo</b>: Nombre y camino (relativo) del fichero
          encontrado. Esa columna tambi&eacute;n contiene un &iacute;cono
          describiendo el tipo del fichero.</p></li>

      <li><p><b>Fecha del original</b>: Fecha del &uacute;ltimo cambio del
          original.</p></li>

      <li><p><b>Fecha de la comparaci&oacute;n</b>: Fecha del &uacute;ltimo
          cambio del fichero de la versi&oacute;n comparada.</p></li>

      <li><p><b>Estatus</b>: Describci&oacute;n como se difunde la
          copia/versi&oacute;n cambiada del original. Valores posibles son:</p>

        <ul>
          <li>Joven</li>
          <li>Viejo</li>
          <li>Distinto (= timestamp igual, pero contenido diferente)</li>
          <li>Igual</li>
          <li>Borrado</li>
          <li>Nuevo</li>
        </ul>
      </li>
    </ul>

    <p>Los ficheros mostrados los pueden estar manipulados con hacer click con
      el but&oacute;n derecho del mouse (por ejemplo abierto en un editor,
      borrado, moviendo o - si existe un fichero con el mismo nombre -
      comparado o copiado).</p>

    <p>La barra de estado da informaciones sobre la actividad del programo o
      del resuelto de la &uacute;ltima comparici&oacute;n.</p>

    <h3>Estructura del menu</h3>
    <p>El programa tiene dos ramas de menu (adem&aacute;s de la ayuda):

    <h4>Menu Directorio</h4>

    <table border="1" cellpadding="3">
      <thead>
        <tr><th>Comando</th><th>Acci&oacute;n</th></tr>
      </thead>
      <tbody>
        <tr><td><tt>Comparar</tt></td>
        <td><p>Empieza la comparaci&oacute;n. Ese menu es escogable solamente
          si ambos directorios han sido entrado y no comparici&oacute;n ya es
          en proceso.</p></td></tr>

        <tr><td><tt>Acabar de comparar</tt></td>
        <td><p>Termina la comparaci&oacute;n en proceso. Ese menu es escogable
          solamente si una comparici&oacute;n ya es en proceso.</p></td></tr>

        <tr><td><tt>Guardar</tt></td>
        <td><p>Guarda el resuelto de la &uacute;ltima comparici&oacute;n sin
          ningun formateo. Ese menu es escogable solamente si ya se ha
          ejecutado una comparici&oacute;n.</p></td></tr>

        <tr><td><tt>Imprimir</tt></td>
        <td><p>Imprime el resuelto de la &uacute;ltima comparici&oacute;n sin
          ningun formateo como texto. Ese menu es escogable solamente si ya se
          ha ejecutado una comparici&oacute;n.</p></td></tr>

        <tr><td><tt>Cerrar</tt></td>
        <td><p>Cerra la aplicaci&oacute;n - a&uacute;n si se est&aacute;
        ejecutando una comparici&oacute;n.</p></td></tr>
      <tbody>
    </table>

    <h4>Menu Opciones</h4>

    <table border="1" cellpadding="3">
      <thead>
        <tr><th>Comando</th><th>Acci&oacute;n</th></tr>
      </thead>
      <tbody>
        <tr><td><tt>Visualiza nuevos y borrados</tt></td>
          <td><p>Muestra archivos que solamente aparecen en uno de los dos
            directorios (son nuevos o borrados). Activado por defecto.</p></td></tr>
        <tr><td><tt>Visualiza ficheros cambiados</tt></td>
          <td><p>Muestra archivos que est&aacute;n cambiados entre los dos
            versiones (o son mas viejo o mas joven). Activado por defecto.
            </p></td></tr>
        <tr><td><tt>Visualiza ficheros iguales</tt></td>
          <td><p>Muestra archivos que tienen el mismo timestamp (y - si
            especificado - el mismo contenido).</p></td></tr>
        <tr><td><tt>Visualiza directorios cambiados</tt></td>
          <td><p>Incluye directorios en la salida. Normalmente son ignorados
            porque sus timestamps generalmente no importan.</p></td></tr>
        <tr><td><tt>Visualiza ficheros ocultos</tt></td>
          <td><p>Incluye archivos ocultos en la comparaci&oacute;n. Cuales
            ficheros los son dependende del sistema operativo; Unices oscuran
            ficheros que empezan con un punto (.), otros (como OS/2 o DOS y su
            colecci&oacute;n grafico de bugs) tienen un atributo especial para
            marcarlos.</p></td></tr>
        <tr><td><tt>Comparar subdirectorios</tt></td>
          <td><p>Despu&eacute;s de comparar un directorio sigue con los
            subdirectorios incluidos.</p></td></tr>
        <tr><td><tt>Comparar subdirectorios igules</tt></td>
          <td><p>Despu&eacute;s de comparar un directorio sigue con los
            subdirectorios que est&aacute;n incluidos en ambos
             directorios.</p></td></tr>
        <tr><td><tt>Comparar contenido</tt></td>
          <td><p>Si dos ficheros tienen ambos timestamp y tama&ntilde;o igual,
            inspecta tambi&eacute;n contenidos.</p></td></tr>
        <tr><td><tt>Comparar contenido siempre</tt></td>
          <td><p>Compara el contenido de archivos contama&ntilde;o igual,
            tambi&eacute;n si el timestamp est&aacute; diferente.</p></td></tr>
        <tr><td><tt>Seleccionar ficheros</tt></td>
          <td><p>Abre un dialogue en cual se puede notar cuales archivos se
            debe que tomar en cuenta en la comparaci&oacute;n. V&eacute;ase la
            <a href="XDirComp.html.en#FileDlg">descripci&oacute;n
            del dialogue para seleccionar ficheros</a> por detalles.</p></td></tr>
        <tr><td><tt>Seleccionar directorios</tt></td>
          <td><p>Abre un dialogue en cual se puede notar cuales directorios se
            debe que tomar en cuenta en la comparaci&oacute;n. V&eacute;ase la
            <a href="XDirComp.html.en#FileDlg">descripci&oacute;n
            del dialogue para seleccionar ficheros</a> por detalles.</p>

            <p>Si se a&ntilde;ade directorios as&iacute; (no importa si
              incluido o excluido), la opci&oacute;n <tt>Comparar
              subdirectorios</tt> est&aacute; seleccionado automaticalmente.</p></p></td></tr>
        <tr><td><tt>Frontera baja de las fechas</tt></td>
          <td><p>Abre un dialogue en cual se puede notar el l&iacute;mite bajo
            de un espacio de tiempo. V&eacute;ase la <a
            href="XDirComp.html.en#TimeDlg">descripci&oacute;n del dialogue del
            espacio del tiempo</a> por detalles.</p></td></tr>
        <tr><td><tt>Frontera baja de las fechas</tt></td>
          <td><p>Abre un dialogue en cual se puede notar el l&iacute;mite alto
            de un espacio de tiempo. V&eacute;ase la <a
            href="XDirComp.html.en#TimeDlg">descripci&oacute;n del dialogue del
            espacio del tiempo</a> por detalles.</p></td></tr>
      <tbody>
    </table>
    <br>

    <hr size=1>
    <h2><a name="Dialogs"></a>Dialogues</h2>

    <h3><a name="FileDialog"></a>Dialogue para seleccionar ficheros</h3>
    <p>Ese dialogue permite la entrada de ficheros (o directorios) para tomar
      en cuenta por la comparici&oacute;n.</p>

    <p>Los fijadores de posici&oacute;nes asterisco (*) (significa cada numero
      de todos los letras) y el signo de interrogaci&oacute;n (?)  (significa
      cualquiera letra solo) est&aacute;n suportado. Adem&aacute;s est&aacute;
      posible especificar las letras validas en chorchetes ([) y (]), o por
      detallarlos o por especificar las fronteras, seperado por un menos
      (-). Para invertir esa selecci&oacute;n usa una primera caret (^).</p>

    <p>fijadores de posici&oacute;nes est&aacute;n suportado en m&aacute;s
      nivels para directorios; por ejemplo (para Unices) -I*/?0 incluye todo
      los directorios en segundo nivel que terminan con un 0; -XLinux/* no
      compara todo los directorios en el directorio Linux.</p>

    <p>Las entradas son inspectadas en el mismo orden en cual son
      a&ntilde;adido - por eso se debe que a&ntilde;adir primero los valores
      mas comunes.</p>

    <p>La lista creada se puede manipular con los butones <tt>Arriba</tt>,
      <tt>Abajo</tt> y <tt>Borrar</tt>.</p>

    <h3><a name="TimeDialog"></a>Dialogue del espacio del tiempo</h3>
    <p>Ese dialogue perimite la selectc&oacute;n de una fecho y un
      tiempo. Solamente ficheros incluido en ese espacio (incluido los
      l&iacute;mites mismos est&oacute;n tomado en cuento por la
      comparici&oacute;n.</p>

    <p>Si no se entra uno (o ambos) de los l&iacute;mites se asume la fecha
      mas alta o bajo que soporta el sistema.</p>

    <p>NOTA: Si hay dos ficheros con nombres mismos, donde solamente uno
      est&aacute; entre las fronteras, lo est&aacute; reportado como nuevo (or
      borrado); ficheros afueros del los fronteras no existen (por lo menos
      para la utilitad)!</p>

    <hr size=2 noshade>
    <address>
      <a href="mailto:g17m0@lycos.com">Markus Schwab (g17m0@lycos.com)</a>
    </address>
  </body>
</html>
